{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Course Objective Graph
{% endblock %}


{% block rightPane %}

    <div class="x_panel" id="maincontent">
        <div class="x_title" id="title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                CO Graph
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="col-md-offset-11">
            <button class="btn btn-default" id="print">
                <i class="fa fa-print"></i>
                Print
            </button>
        </div>

        <div class="x_content">
            <div class="row">
                <div align="center">
                    <h4 id="deptcontent" style="display: none">Department of {{ staffCourseInstance.department }}</h4>
                    <h5>Course:&nbsp;{{ staffCourseInstance.course }}</h5>
                    <h5>Unit Test:&nbsp;{{ unitTestNumber }}</h5>
                    <h6>
                        Batch:&nbsp;{{ staffCourseInstance.batch }}
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        Semester:&nbsp;{{ staffCourseInstance.semester.semester_number }}
                    </h6>
                    <br>
                    <h4><strong>CO Attainment Graph</strong></h4>
                </div>
                <div class="table-responsive">
                    <div id="graph_bar" style="width: 100%; height: 350px; position: relative;" align="center">
                        <svg height="350" version="1.1" width="500" xmlns="http://www.w3.org/2000/svg"
                             style="overflow: hidden; position: relative; top: -0.800003px;">

                            <text style="text-anchor: end; font-family: sans-serif; font-size: 12px; font-weight: normal;"
                                  x="45" y="300" text-anchor="end" font-family="sans-serif"
                                  font-size="12px"
                                  stroke="none" fill="#888888" font-weight="normal">
                                <tspan dy="3.9999972951132747">0</tspan>
                            </text>
                            <path style="" fill="none" stroke="#aaaaaa" d="M50,300 H450"
                                  stroke-width="0.5"/>

                            <text style="text-anchor: end; font-family: sans-serif; font-size: 12px; font-weight: normal;"
                                  x="45" y="250" text-anchor="end" font-family="sans-serif"
                                  font-size="12px"
                                  stroke="none" fill="#888888" font-weight="normal">
                                <tspan dy="3.9999972951132747">10M</tspan>
                            </text>
                            <path style="" fill="none" stroke="#aaaaaa" d="M50 250 H450"
                                  stroke-width="0.5"/>

                            <text style="text-anchor: end; font-family: sans-serif; font-size: 12px; font-weight: normal;"
                                  x="45" y="200" text-anchor="end" font-family="sans-serif"
                                  font-size="12px"
                                  stroke="none" fill="#888888" font-weight="normal">
                                <tspan dy="3.9999972951132747">20M</tspan>
                            </text>
                            <path style="" fill="none" stroke="#aaaaaa" d="M50 200 H450"
                                  stroke-width="0.5"/>
                            <text style="text-anchor: end; font-family: sans-serif; font-size: 12px; font-weight: normal;"
                                  x="45" y="150" text-anchor="end" font-family="sans-serif"
                                  font-size="12px"
                                  stroke="none" fill="#888888" font-weight="normal">
                                <tspan dy="3.9999972951132747">30M</tspan>
                            </text>
                            <path style="" fill="none" stroke="#aaaaaa" d="M50 150 H450"
                                  stroke-width="0.5"/>

                            <text style="text-anchor: end; font-family: sans-serif; font-size: 12px; font-weight: normal;"
                                  x="45" y="100" text-anchor="end" font-family="sans-serif"
                                  font-size="12px"
                                  stroke="none" fill="#888888" font-weight="normal">
                                <tspan dy="3.9999972951132747">40M</tspan>
                            </text>
                            <path style="" fill="none" stroke="#aaaaaa" d="M50 100 H450"
                                  stroke-width="0.5"/>

                            <text style="text-anchor: end; font-family: sans-serif; font-size: 12px; font-weight: normal;"
                                  x="45" y="50" text-anchor="end" font-family="sans-serif"
                                  font-size="12px"
                                  stroke="none" fill="#888888" font-weight="normal">
                                <tspan dy="3.9999972951132747">50M</tspan>
                            </text>
                            <path style="" fill="none" stroke="#aaaaaa" d="M50 50 H450"
                                  stroke-width="0.5"/>

                            {% for points in graphValues %}
                                <rect x="{{ points.xAxis }}" y="{{ points.yAxis }}" width="28"
                                      height="{{ points.height }}"
                                      rx="0" ry="0" fill="#26b99a" stroke="none" style="fill-opacity: 1;"
                                      fill-opacity="1"/>
                                <text style="text-anchor: middle; font-family: sans-serif; font-size: 12px; font-weight: normal;"
                                      x="{{ points.coPosition }}" y="320" text-anchor="middle" font-family="sans-serif"
                                      font-size="12px"
                                      stroke="none" fill="#888888" font-weight="normal">
                                    <tspan dy="7">CO{{ points.coMapped }}</tspan>
                                </text>

                                <path style="color: #9e0798" fill="none" stroke="#9e0798"
                                      d="M{{ points.coMaxStart }} {{ points.coMaxYAxis }} H{{ points.coMaxEnd }}"
                                      stroke-width="1.5"/>
                                <text style="text-anchor: middle; font-family: sans-serif; font-size: 10px; font-weight: normal;"
                                      x="{{ points.coPosition }}" y="{{ points.coMaxCoPostion }}" text-anchor="middle"
                                      font-family="sans-serif"
                                      font-size="12px"
                                      stroke="none" fill="#888888" font-weight="normal">
                                    <tspan dy="7">Max. CO{{ points.coMapped }}</tspan>
                                </text>
                            {% endfor %}
                        </svg>
                    </div>
                </div>
                <br>
                <div class="table-responsive">
                    <table class="table table-condensed table-striped table-bordered table-hover table-sm"
                           style="width: 600px" align="center">
                        <thead>
                        <tr>
                            <th>Course Outcomes</th>
                            <th>Max. CO Marks</th>
                            <th>CO Weightage</th>
                            <th>Average Marks by Students</th>
                            <th>No. of Students Attained CO as per weightage</th>
                            <th>No. of Students Not Attained CO as per weightage</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for co in coList %}
                            <tr>
                                <td>CO {{ co.coNumber }}</td>
                                <td>{{ co.coMaximumMark }}</td>
                                <td>{{ co.coWeightage }} %</td>
                                <td>{{ co.studentAverage }}</td>
                                <td>{{ co.coAttained }}</td>
                                <td>{{ co.coNotAttained }}</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        $('document').ready(function () {
            $('#print').click(function () {
                $('#print').hide();
                $('#title').hide();
                $('#deptcontent').show();
                var printContent = document.getElementById('maincontent');
                var headContent = document.getElementById('headcontent');
                var WinPrint = window.open('', '', '_self');
                WinPrint.document.write(printContent.innerHTML);
                WinPrint.document.write(headContent.innerHTML);
                WinPrint.document.close();
                WinPrint.focus();
                WinPrint.print();
                WinPrint.close();
                $('#print').show();
                $('#title').show();
                $('#deptcontent').hide();
            });
        });
    </script>

{% endblock %}